#
# Conditional build:
%bcond_with	tests		# build without tests
#
%define		kdeframever	6.16
%define		qtver		5.15.2
%define		kfname		bluez-qt
Summary:	Qt wrapper for Bluez 5 DBus API
Name:		kf6-%{kfname}
Version:	6.16.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	435787aee65ac6bdeb955f9a6b05e192
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
%if %{with tests}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
%endif
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt wrapper for Bluez 5 DBus API.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%{?with_tests:%ninja_build -C build test}


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libKF6BluezQt.so.*.*.*
%ghost %{_libdir}/libKF6BluezQt.so.6
%dir %{_libdir}/qt6/qml/org/kde/bluezqt
%{_libdir}/qt6/qml/org/kde/bluezqt/qmldir
%{_libdir}/qt6/qml/org/kde/bluezqt/DevicesModel.qml
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/bluezqt/libbluezqtextensionplugin.so
%{_datadir}/qlogging-categories6/bluezqt.categories
%{_datadir}/qlogging-categories6/bluezqt.renamecategories
%{_libdir}/qt6/qml/org/kde/bluezqt/bluezqtextensionplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/bluezqt/kde-qmlmodule.version

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6BluezQt.so
%{_includedir}/KF6/BluezQt
%{_libdir}/cmake/KF6BluezQt
%{_pkgconfigdir}/KF6BluezQt.pc
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-bluez-qt.git;a=log;h=master

* Fri Jul 11 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 359241e
- updated to 6.16.0

* Fri Jun 13 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 75f449f
- updated to 6.15.0

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 2f92c61
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1a90dc4
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e208fb9
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3089b36
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c4c1d69
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cfb5afd
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 14eb9ac
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e52f380
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 20b328a
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7c817ce
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7f01908
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1f2fda0
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 47bfcd9
- updated to 6.3.0

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bc3898b
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 638e392
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> aea85cd
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 87e6ef6
- updated to 5.249.0; rel 0.1

